Debian Bug report logs - #643569
isc-dhcp: FTBFS: error: redefinition of 'struct in6_pktinfo'

version graph

Package: src:isc-dhcp; Maintainer for src:isc-dhcp is Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>;

Reported by: Christoph Egger <christoph@debian.org>

Date: Tue, 27 Sep 2011 17:27:02 UTC

Severity: serious

Tags: patch, sid

Found in versions isc-dhcp/4.2.2-2, isc-dhcp/4.2.2-1

Fixed in versions 4.2.2-2, isc-dhcp/4.2.2.dfsg.1-3, isc-dhcp/4.2.2.dfsg.1-4

Done: Andrew Pollock <apollock@debian.org>

Bug is archived. No further changes may be made.

Forwarded to dhcp-bugs@isc.org

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#643569; Package src:isc-dhcp. (Tue, 27 Sep 2011 17:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
New Bug report received and forwarded. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Tue, 27 Sep 2011 17:27:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: isc-dhcp: FTBFS: error: redefinition of 'struct in6_pktinfo'
Date: Tue, 27 Sep 2011 19:25:13 +0200
Package: src:isc-dhcp
Version: 4.2.2-1
Severity: serious
Tags: sid wheezy
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the kfreebsd-* buildds:

gcc -DHAVE_CONFIG_H -I. -I../includes  -I.. -DLOCALSTATEDIR='"/var"'  -DLDAP_CONFIGURATION -g -O2  -Wall -Werror -fno-strict-aliasing -I../bind/include -MT alloc.o -MD -MP -MF .deps/alloc.Tpo -c -o alloc.o alloc.c
In file included from ../bind/include/isc/sockaddr.h:26:0,
                 from ../bind/include/isc/socket.h:66,
                 from ../includes/omapip/isclib.h:57,
                 from ../includes/dhcpd.h:95,
                 from alloc.c:35:
../bind/include/isc/net.h:184:8: error: redefinition of 'struct in6_pktinfo'
/usr/include/netinet/in.h:471:8: note: originally defined here
make[3]: *** [alloc.o] Error 1
make[3]: Leaving directory `/build/buildd-isc-dhcp_4.2.2-1-kfreebsd-amd64-0KV3gG/isc-dhcp-4.2.2/common'
make[2]: *** [all-recursive] Error 1

Full build log at
https://buildd.debian.org/status/fetch.php?pkg=isc-dhcp&arch=kfreebsd-amd64&ver=4.2.2-1&stamp=1317115968

Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org
-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Removed tag(s) wheezy. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sat, 15 Oct 2011 10:36:16 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#643569; Package src:isc-dhcp. (Sat, 15 Oct 2011 11:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Sat, 15 Oct 2011 11:33:07 GMT) Full text and rfc822 format available.

Message #12 received at 643569@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 643569@bugs.debian.org
Subject: patch
Date: Sat, 15 Oct 2011 13:29:36 +0200
[Message part 1 (text/plain, inline)]
tag 643569 patch
thanks

Hi,

Here's a patch to fix this.

-- 
Robert Millan
[ftbfs.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sat, 15 Oct 2011 11:33:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#643569; Package src:isc-dhcp. (Tue, 25 Oct 2011 06:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Pollock <apollock@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Tue, 25 Oct 2011 06:39:07 GMT) Full text and rfc822 format available.

Message #19 received at 643569@bugs.debian.org (full text, mbox):

From: Andrew Pollock <apollock@debian.org>
To: dhcp-bugs@isc.org
Cc: Christoph Egger <christoph@debian.org>, 643569@bugs.debian.org, 643569-forwarded@bugs.debian.org
Subject: 4.2.2 fails to build with -Werror=unused-but-set-variable
Date: Mon, 24 Oct 2011 23:30:07 -0700
Hello,

4.2.2 doesn't build on kfreebsd. See
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=643569 for more details.

I've been given a patch that fixes it, but it needs to be made to the BIND
sources that are in the tarball that gets unpacked at build time, so I don't
have a good way of applying the patch during the build. I think I'm stuck
resolving this bug until you make a new release that includes the patch.

Please maintain the Cc to keep our bug tracking system in the loop.

----- Forwarded message from Robert Millan <rmh@debian.org> -----

Date: Sat, 15 Oct 2011 13:29:36 +0200
From: Robert Millan <rmh@debian.org>
To: 643569@bugs.debian.org
Subject: Bug#643569: patch

tag 643569 patch
thanks

Hi,

Here's a patch to fix this.

-- 
Robert Millan

--- bind/bind-9.8.0-P4/configure.in~	2011-02-03 06:50:05.000000000 +0100
+++ bind/bind-9.8.0-P4/configure.in	2011-10-15 12:56:31.911737774 +0200
@@ -263,7 +263,7 @@
 	# as it breaks how the two halves (Basic and Advanced) of the IPv6
 	# Socket API were designed to be used but we have to live with it.
 	# Define _GNU_SOURCE to pull in the IPv6 Advanced Socket API.
-	*-linux*)
+	*-linux* | *-*-gnu | *-gnu*)
 		STD_CDEFINES="$STD_CDEFINES -D_GNU_SOURCE"
 		CPPFLAGS="$CPPFLAGS -D_GNU_SOURCE"
 		;;


----- End forwarded message -----




Reply sent to Andrew Pollock <apollock@debian.org>:
You have marked Bug as forwarded. (Tue, 25 Oct 2011 06:39:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#643569; Package src:isc-dhcp. (Tue, 25 Oct 2011 21:24:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <michael.s.gilbert@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Tue, 25 Oct 2011 21:24:12 GMT) Full text and rfc822 format available.

Message #27 received at 643569@bugs.debian.org (full text, mbox):

From: Michael Gilbert <michael.s.gilbert@gmail.com>
To: 643569@bugs.debian.org
Subject: re: 4.2.2 fails to build with -Werror=unused-but-set-variable
Date: Tue, 25 Oct 2011 17:21:47 -0400
> I've been given a patch that fixes it, but it needs to be made to the BIND
> sources that are in the tarball that gets unpacked at build time, so I don't
> have a good way of applying the patch during the build. I think I'm stuck
> resolving this bug until you make a new release that includes the patch.

Embedded code copies are never good. The "correct" solution to this
problem is to use the shared bind library; rather than the embedded
code, which looks to be introduced in this version (4.2).

Best wishes,
Mike




Reply sent to Andrew Pollock <apollock@debian.org>:
You have taken responsibility. (Sun, 08 Jan 2012 22:27:08 GMT) Full text and rfc822 format available.

Notification sent to Christoph Egger <christoph@debian.org>:
Bug acknowledged by developer. (Sun, 08 Jan 2012 22:27:08 GMT) Full text and rfc822 format available.

Message #32 received at 643569-done@bugs.debian.org (full text, mbox):

From: Andrew Pollock <apollock@debian.org>
To: 643569-done@bugs.debian.org
Subject: I think this was the same problem as #643470
Date: Sun, 8 Jan 2012 14:11:45 -0800
[Message part 1 (text/plain, inline)]
Version: 4.2.2-2

I think this bug was caused by the same issue as #643470 (certainly it no
longer FTBFS for me, so I'm going to mark this as fixed.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#643569; Package src:isc-dhcp. (Sun, 08 Jan 2012 22:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Sun, 08 Jan 2012 22:45:05 GMT) Full text and rfc822 format available.

Message #37 received at 643569@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: 643569@bugs.debian.org
Subject: Still failing
Date: Sun, 08 Jan 2012 23:44:52 +0100
found  643569 4.2.2-2
bye

Hi!

Still failing the same way on kfreebsd. See
https://buildd.debian.org/status/fetch.php?pkg=isc-dhcp&arch=kfreebsd-amd64&ver=4.2.2-2&stamp=1325997447

Regards

    Christoph

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Bug Marked as found in versions isc-dhcp/4.2.2-2 and reopened. Request was from Christoph Egger <christoph@debian.org> to control@bugs.debian.org. (Sun, 08 Jan 2012 22:45:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#643569; Package src:isc-dhcp. (Mon, 16 Jan 2012 22:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <michael.s.gilbert@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Mon, 16 Jan 2012 22:24:03 GMT) Full text and rfc822 format available.

Message #44 received at 643569@bugs.debian.org (full text, mbox):

From: Michael Gilbert <michael.s.gilbert@gmail.com>
To: 643569@bugs.debian.org, 645760@bugs.debian.org, Thijs Kinkhorst <thijs@debian.org>
Subject: Dynamically linking to bind (bugs #643569 and #645760)
Date: Mon, 16 Jan 2012 17:21:29 -0500
[Message part 1 (text/plain, inline)]
tag 645670 patch
thanks

Hi,

Here is a patch that fixes these two issues.  It dynamically links to
bind and removes the embedded code (note that it would be more ideal
to repackage the upstream source without bind, but for clarity I just
remove it in the clean rule for now).  Note that you'll have to apply
the patch in bug #656150 to bind in order for these changes to work.

Best wishes,
Mike
[dhcp.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#643569; Package src:isc-dhcp. (Tue, 17 Jan 2012 18:06:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Pollock <apollock@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Tue, 17 Jan 2012 18:06:08 GMT) Full text and rfc822 format available.

Message #49 received at 643569@bugs.debian.org (full text, mbox):

From: Andrew Pollock <apollock@debian.org>
To: Michael Gilbert <michael.s.gilbert@gmail.com>, 645760@bugs.debian.org
Cc: 643569@bugs.debian.org, Thijs Kinkhorst <thijs@debian.org>
Subject: Re: [pkg-dhcp-devel] Bug#645760: Dynamically linking to bind (bugs #643569 and #645760)
Date: Tue, 17 Jan 2012 09:53:42 -0800
[Message part 1 (text/plain, inline)]
On Mon, Jan 16, 2012 at 05:21:29PM -0500, Michael Gilbert wrote:
> tag 645670 patch
> thanks
> 
> Hi,
> 
> Here is a patch that fixes these two issues.  It dynamically links to
> bind and removes the embedded code (note that it would be more ideal
> to repackage the upstream source without bind, but for clarity I just
> remove it in the clean rule for now).  Note that you'll have to apply
> the patch in bug #656150 to bind in order for these changes to work.

Hey Michael,

Thanks for working on this. I've taken a quick look at the patch in #656150
as well, and I really think this should be sent back to the ISC BIND folks
if you haven't already.

I'm meeting with the ISC DHCP folks over lunch today, so I'll discuss these
two patches with them.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#643569; Package src:isc-dhcp. (Mon, 23 Jan 2012 18:15:07 GMT) Full text and rfc822 format available.

Message #52 received at 643569@bugs.debian.org (full text, mbox):

From: "Tomasz Mrugalski via RT" <dhcp-review@isc.org>
Cc: 643569-forwarded@bugs.debian.org, 643569@bugs.debian.org, christoph@debian.org
Subject: [ISC-Bugs #26273] 4.2.2 fails to build with -Werror=unused-but-set-variable (Debian/kFreeBSD)
Date: Mon, 23 Jan 2012 18:04:41 +0000
Thank you for reporting this bug. It is already fixed in BIND 9.8.2rc1. That
verison is planned to be included in the next ISC DHCP release. The code now
builds properly on my Debian box with kFreeBSD kernel.

Tomek Mrugalski
ISC DHCP Engineer





Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#643569; Package src:isc-dhcp. (Mon, 23 Jan 2012 18:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Pollock <apollock@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Mon, 23 Jan 2012 18:51:03 GMT) Full text and rfc822 format available.

Message #58 received at 643569@bugs.debian.org (full text, mbox):

From: Andrew Pollock <apollock@debian.org>
To: dhcp-review@isc.org, 643569@bugs.debian.org
Cc: 643569-forwarded@bugs.debian.org, christoph@debian.org
Subject: Re: [pkg-dhcp-devel] Bug#643569: [ISC-Bugs #26273] 4.2.2 fails to build with -Werror=unused-but-set-variable (Debian/kFreeBSD)
Date: Mon, 23 Jan 2012 10:49:46 -0800
[Message part 1 (text/plain, inline)]
On Mon, Jan 23, 2012 at 06:04:41PM +0000, Tomasz Mrugalski via RT wrote:
> Thank you for reporting this bug. It is already fixed in BIND 9.8.2rc1. That
> verison is planned to be included in the next ISC DHCP release. The code now
> builds properly on my Debian box with kFreeBSD kernel.
> 

Thanks. Can you confirm that this fix will be present in 4.2.3?
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#643569; Package src:isc-dhcp. (Fri, 17 Feb 2012 19:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to peter green <plugwash@p10link.net>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Fri, 17 Feb 2012 19:33:05 GMT) Full text and rfc822 format available.

Message #64 received at 643569@bugs.debian.org (full text, mbox):

From: peter green <plugwash@p10link.net>
To: 643470@bugs.debian.org, 643569@bugs.debian.org, 645760@bugs.debian.org
Subject: Status of isc-dhcp-client
Date: Fri, 17 Feb 2012 19:29:19 +0000
Currently, the version of isc-dhcp-client in unstable suffers two rc 
bugs, a FTBFS bug ( 643569 ) and a non-free IETF documents bug ( 645760 
) both related to embedded bind source.

Furthermore isc-dhcp-client FTBFS in testing due to bug 643470 (which is 
fixed in unstable).

It has been a month since the lastest post to any of these bug reports

Is there any progress on solving these issues in a clean manner? It 
seems the ideal soloution is to stop embedding bind at all (but that 
requires changes on the bind side) and second best would be for upstream 
to make a new upstream release of isc-dhcp-client with an updated bind 
tarball....

If not would you consider applying the quick and dirty soloution of 
simply repacking the upstream tarball to contain a fixed bind tarball?




Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#643569; Package src:isc-dhcp. (Sun, 19 Feb 2012 21:24:44 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Pollock <apollock@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Sun, 19 Feb 2012 21:24:52 GMT) Full text and rfc822 format available.

Message #69 received at 643569@bugs.debian.org (full text, mbox):

From: Andrew Pollock <apollock@debian.org>
To: peter green <plugwash@p10link.net>, 643470@bugs.debian.org
Cc: 643569@bugs.debian.org, 645760@bugs.debian.org
Subject: Re: [pkg-dhcp-devel] Bug#643470: Status of isc-dhcp-client
Date: Sun, 19 Feb 2012 13:22:27 -0800
[Message part 1 (text/plain, inline)]
On Fri, Feb 17, 2012 at 07:29:19PM +0000, peter green wrote:
> Currently, the version of isc-dhcp-client in unstable suffers two rc  
> bugs, a FTBFS bug ( 643569 ) and a non-free IETF documents bug ( 645760  
> ) both related to embedded bind source.
>
> Furthermore isc-dhcp-client FTBFS in testing due to bug 643470 (which is  
> fixed in unstable).
>
> It has been a month since the lastest post to any of these bug reports
>
> Is there any progress on solving these issues in a clean manner? It  
> seems the ideal soloution is to stop embedding bind at all (but that  
> requires changes on the bind side) and second best would be for upstream  
> to make a new upstream release of isc-dhcp-client with an updated bind  
> tarball....
>
> If not would you consider applying the quick and dirty soloution of  
> simply repacking the upstream tarball to contain a fixed bind tarball?
>

Hello,

I have been working with upstream on addressing both of these issues, and I
am hopeful that the 4.2.4 release, which is due in the next couple of
months, to address these issues. I'm waiting to see how much better that
release looks.

regards

Andrew
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#643569; Package src:isc-dhcp. (Sun, 19 Feb 2012 21:36:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Sun, 19 Feb 2012 21:36:08 GMT) Full text and rfc822 format available.

Message #74 received at 643569@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Andrew Pollock <apollock@debian.org>, 643470@bugs.debian.org
Cc: peter green <plugwash@p10link.net>, 643569@bugs.debian.org, 645760@bugs.debian.org
Subject: Re: Bug#643470: [pkg-dhcp-devel] Bug#643470: Status of isc-dhcp-client
Date: Sun, 19 Feb 2012 22:33:52 +0100
[Message part 1 (text/plain, inline)]
On Sun, Feb 19, 2012 at 13:22:27 -0800, Andrew Pollock wrote:

> I have been working with upstream on addressing both of these issues, and I
> am hopeful that the 4.2.4 release, which is due in the next couple of
> months, to address these issues. I'm waiting to see how much better that
> release looks.
> 
Hrm.  I'd very much appreciate a fix in sid sooner than "next couple of
months", if possible.  At least for the ftbfs.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#643569; Package src:isc-dhcp. (Sun, 19 Feb 2012 23:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to peter green <plugwash@p10link.net>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Sun, 19 Feb 2012 23:06:05 GMT) Full text and rfc822 format available.

Message #79 received at 643569@bugs.debian.org (full text, mbox):

From: peter green <plugwash@p10link.net>
To: Andrew Pollock <apollock@debian.org>
Cc: 643470@bugs.debian.org, 643569@bugs.debian.org, 645760@bugs.debian.org
Subject: Re: [pkg-dhcp-devel] Bug#643470: Status of isc-dhcp-client
Date: Sun, 19 Feb 2012 23:03:17 +0000
> Hello,
>
> I have been working with upstream on addressing both of these issues, and I
> am hopeful that the 4.2.4 release, which is due in the next couple of
> months, to address these issues. I'm waiting to see how much better that
> release looks.
>   
Speaking both as someone trying to get the armhf port into shape and 
more generally
we would really like to get the rc bugs fixed sooner than "the next 
couple of months".
Especially as 4.1.1-P1-17 (in testing) has a FTBFS bug on all 
architectures so we
can't do a binnmu in testing.

I have prepared a NMU to fix the rc bugs in isc-dhcp-client by the most 
direct
approaches and was in the processor of discussing it's sponsorship to 
delayed/5
with Hector Oron (i'm not a dd yet) when I received your mail.

I appreciate the work I have put into this NMU will be thrown away when the
ultimate soloution of eliminating the embedded code copy is implemented
but I still thing the NMU is worth doing  so we can get armhf teting 
into shape
sooner rather than later.

The package I'm in the process of trying to get NMU'd is at

http://mentors.debian.net/package/isc-dhcp

Please tell me if you are happy with the NMU so I can upload it promptly.
Alternatively if you have problems with the NMU then please point them
out to me so I can prepare a fixed NMU.

Until/unless I get a response I plan to go through with the plan of a  NMU
to delayed/5.






Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#643569; Package src:isc-dhcp. (Mon, 20 Feb 2012 05:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Pollock <apollock@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Mon, 20 Feb 2012 05:21:07 GMT) Full text and rfc822 format available.

Message #84 received at 643569@bugs.debian.org (full text, mbox):

From: Andrew Pollock <apollock@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 643470@bugs.debian.org, peter green <plugwash@p10link.net>, 643569@bugs.debian.org, 645760@bugs.debian.org
Subject: Re: Bug#643470: [pkg-dhcp-devel] Bug#643470: Status of isc-dhcp-client
Date: Sun, 19 Feb 2012 21:17:42 -0800
[Message part 1 (text/plain, inline)]
On Sun, Feb 19, 2012 at 10:33:52PM +0100, Julien Cristau wrote:
> On Sun, Feb 19, 2012 at 13:22:27 -0800, Andrew Pollock wrote:
> 
> > I have been working with upstream on addressing both of these issues, and I
> > am hopeful that the 4.2.4 release, which is due in the next couple of
> > months, to address these issues. I'm waiting to see how much better that
> > release looks.
> > 
> Hrm.  I'd very much appreciate a fix in sid sooner than "next couple of
> months", if possible.  At least for the ftbfs.

I just reviewed the most recent email I exchanged with the ISC product
manager, and she actually said "end of February", although she wasn't a
betting woman.

So let's wait until March 1 to take stock of the situation. If no 4.2.4
upstream release has been made by March 1, I will check in with them to get
an updated timeframe, and if it's anything more than a week or so, I'll
repack the tarball.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#643569; Package src:isc-dhcp. (Mon, 20 Feb 2012 05:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Pollock <apollock@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Mon, 20 Feb 2012 05:21:09 GMT) Full text and rfc822 format available.

Message #89 received at 643569@bugs.debian.org (full text, mbox):

From: Andrew Pollock <apollock@debian.org>
To: peter green <plugwash@p10link.net>
Cc: 643470@bugs.debian.org, 643569@bugs.debian.org, 645760@bugs.debian.org
Subject: Re: [pkg-dhcp-devel] Bug#643470: Status of isc-dhcp-client
Date: Sun, 19 Feb 2012 21:19:53 -0800
[Message part 1 (text/plain, inline)]
On Sun, Feb 19, 2012 at 11:03:17PM +0000, peter green wrote:
>
>> Hello,
>>
>> I have been working with upstream on addressing both of these issues, and I
>> am hopeful that the 4.2.4 release, which is due in the next couple of
>> months, to address these issues. I'm waiting to see how much better that
>> release looks.
>>   
> Speaking both as someone trying to get the armhf port into shape and  
> more generally
> we would really like to get the rc bugs fixed sooner than "the next  
> couple of months".

See my other email. Turns out I was grossly generalising, and they're
targeting around the end of the month.

> Especially as 4.1.1-P1-17 (in testing) has a FTBFS bug on all  
> architectures so we
> can't do a binnmu in testing.
>
> I have prepared a NMU to fix the rc bugs in isc-dhcp-client by the most  
> direct
> approaches and was in the processor of discussing it's sponsorship to  
> delayed/5
> with Hector Oron (i'm not a dd yet) when I received your mail.
>
> I appreciate the work I have put into this NMU will be thrown away when the
> ultimate soloution of eliminating the embedded code copy is implemented
> but I still thing the NMU is worth doing  so we can get armhf teting  
> into shape
> sooner rather than later.
>
> The package I'm in the process of trying to get NMU'd is at
>
> http://mentors.debian.net/package/isc-dhcp
>
> Please tell me if you are happy with the NMU so I can upload it promptly.
> Alternatively if you have problems with the NMU then please point them
> out to me so I can prepare a fixed NMU.

How about you just send me a patch against what's in the Git repository (at
head)? I've got an unreleased 4.2.2-3 in there that I've been working on.

> Until/unless I get a response I plan to go through with the plan of a  NMU
> to delayed/5.
>
>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#643569; Package src:isc-dhcp. (Mon, 20 Feb 2012 08:31:00 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Mon, 20 Feb 2012 08:31:00 GMT) Full text and rfc822 format available.

Message #94 received at 643569@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Andrew Pollock <apollock@debian.org>
Cc: 643470@bugs.debian.org, peter green <plugwash@p10link.net>, 643569@bugs.debian.org, 645760@bugs.debian.org
Subject: Re: Bug#643470: [pkg-dhcp-devel] Bug#643470: Status of isc-dhcp-client
Date: Mon, 20 Feb 2012 09:22:39 +0100
[Message part 1 (text/plain, inline)]
On Sun, Feb 19, 2012 at 21:17:42 -0800, Andrew Pollock wrote:

> I just reviewed the most recent email I exchanged with the ISC product
> manager, and she actually said "end of February", although she wasn't a
> betting woman.
> 
> So let's wait until March 1 to take stock of the situation. If no 4.2.4
> upstream release has been made by March 1, I will check in with them to get
> an updated timeframe, and if it's anything more than a week or so, I'll
> repack the tarball.

Sounds good, thanks Andrew.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#643569; Package src:isc-dhcp. (Mon, 20 Feb 2012 10:30:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to peter green <plugwash@p10link.net>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Mon, 20 Feb 2012 10:30:28 GMT) Full text and rfc822 format available.

Message #99 received at 643569@bugs.debian.org (full text, mbox):

From: peter green <plugwash@p10link.net>
To: Andrew Pollock <apollock@debian.org>
Cc: Hector Oron <zumbi@debian.org>, 643470@bugs.debian.org, 643569@bugs.debian.org, 645760@bugs.debian.org
Subject: Re: [pkg-dhcp-devel] Bug#643470: Status of isc-dhcp-client
Date: Mon, 20 Feb 2012 10:28:13 +0000
[Message part 1 (text/plain, inline)]
Zumbi: please call off the NMU. I'm now in dialog with the maintainer.
> See my other email. Turns out I was grossly generalising, and they're
> targeting around the end of the month.
Good to hear there is progress with upstream.

Personally I'd rather see a non-rc buggy version in testing before a new
upstream version (potentially with new rc bugs) is introduced to unstable
but i'll let you make the final call as to whether to upload my work.
> How about you just send me a patch against what's in the Git repository (at
> head)? 
I've forward ported my changes to the head of your git repo. Patch is 
attatched.

Note that the patch doesn't contain the repack of the upstream tarball. 
(I don't
think diff can represent that). The repacked upstream tarball I prepared is
available from.

http://mentors.debian.net/debian/pool/main/i/isc-dhcp/isc-dhcp_4.2.2+dfsg.orig.tar.gz

The repacking process I used was basically

Unpack the isc-dhcp tarball
Unpack the embedded bind tarball
delete contrib/zkt/doc/rfc5011.txt doc/rfc and doc/draft
Repack the embedded bind tarball
delete the unpacked files from the bind tarball
Repack the isc-dhcp tarball

[isc-dhcp.patch (text/x-diff, attachment)]

Information stored :
Bug#643569; Package src:isc-dhcp. (Mon, 05 Mar 2012 09:52:26 GMT) Full text and rfc822 format available.

Acknowledgement sent to peter green <plugwash@p10link.net>:
Extra info received and filed, but not forwarded. (Mon, 05 Mar 2012 09:52:31 GMT) Full text and rfc822 format available.

Message #104 received at 643569-quiet@bugs.debian.org (full text, mbox):

From: peter green <plugwash@p10link.net>
To: Andrew Pollock <apollock@debian.org>
Cc: Julien Cristau <jcristau@debian.org>, 643470@bugs.debian.org, 643569-quiet@bugs.debian.org, 645760-quiet@bugs.debian.org
Subject: Re: Bug#643470: [pkg-dhcp-devel] Bug#643470: Status of isc-dhcp-client
Date: Mon, 05 Mar 2012 09:48:48 +0000
> I just reviewed the most recent email I exchanged with the ISC product
> manager, and she actually said "end of February", although she wasn't a
> betting woman.
>
> So let's wait until March 1 to take stock of the situation. If no 4.2.4
> upstream release has been made by March 1, I will check in with them to get
> an updated timeframe, and if it's anything more than a week or so, I'll
> repack the tarball.
>   
It's now the 5th of match and still no new upstream release. Has any 
progress with
upstream been made?




Information stored :
Bug#643569; Package src:isc-dhcp. (Tue, 06 Mar 2012 05:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Pollock <apollock@debian.org>:
Extra info received and filed, but not forwarded. (Tue, 06 Mar 2012 05:39:06 GMT) Full text and rfc822 format available.

Message #109 received at 643569-quiet@bugs.debian.org (full text, mbox):

From: Andrew Pollock <apollock@debian.org>
To: peter green <plugwash@p10link.net>
Cc: Julien Cristau <jcristau@debian.org>, 643470@bugs.debian.org, 643569-quiet@bugs.debian.org, 645760-quiet@bugs.debian.org
Subject: Re: Bug#643470: [pkg-dhcp-devel] Bug#643470: Status of isc-dhcp-client
Date: Mon, 5 Mar 2012 21:35:43 -0800
[Message part 1 (text/plain, inline)]
On Mon, Mar 05, 2012 at 09:48:48AM +0000, peter green wrote:
> 
> >I just reviewed the most recent email I exchanged with the ISC product
> >manager, and she actually said "end of February", although she wasn't a
> >betting woman.
> >
> >So let's wait until March 1 to take stock of the situation. If no 4.2.4
> >upstream release has been made by March 1, I will check in with them to get
> >an updated timeframe, and if it's anything more than a week or so, I'll
> >repack the tarball.
> It's now the 5th of match and still no new upstream release. Has any
> progress with
> upstream been made?
 
I'll check in with them tomorrow.
[signature.asc (application/pgp-signature, inline)]

Information stored :
Bug#643569; Package src:isc-dhcp. (Wed, 07 Mar 2012 19:18:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Pollock <apollock@debian.org>:
Extra info received and filed, but not forwarded. (Wed, 07 Mar 2012 19:18:07 GMT) Full text and rfc822 format available.

Message #114 received at 643569-quiet@bugs.debian.org (full text, mbox):

From: Andrew Pollock <apollock@debian.org>
To: peter green <plugwash@p10link.net>
Cc: Julien Cristau <jcristau@debian.org>, 643470@bugs.debian.org, 643569-quiet@bugs.debian.org, 645760-quiet@bugs.debian.org
Subject: Re: Bug#643470: [pkg-dhcp-devel] Bug#643470: Status of isc-dhcp-client
Date: Wed, 7 Mar 2012 11:15:03 -0800
[Message part 1 (text/plain, inline)]
On Mon, Mar 05, 2012 at 09:48:48AM +0000, peter green wrote:
> 
> >I just reviewed the most recent email I exchanged with the ISC product
> >manager, and she actually said "end of February", although she wasn't a
> >betting woman.
> >
> >So let's wait until March 1 to take stock of the situation. If no 4.2.4
> >upstream release has been made by March 1, I will check in with them to get
> >an updated timeframe, and if it's anything more than a week or so, I'll
> >repack the tarball.
> It's now the 5th of match and still no new upstream release. Has any
> progress with
> upstream been made?
 
I just heard back that they're running behind schedule by about a month, so
I'll proceed with making a release with a stripped tarball to address
#645760
[signature.asc (application/pgp-signature, inline)]

Information stored :
Bug#643569; Package src:isc-dhcp. (Wed, 07 Mar 2012 20:33:22 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and filed, but not forwarded. (Wed, 07 Mar 2012 20:33:22 GMT) Full text and rfc822 format available.

Message #119 received at 643569-quiet@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Andrew Pollock <apollock@debian.org>, 643569-quiet@bugs.debian.org
Cc: peter green <plugwash@p10link.net>, Julien Cristau <jcristau@debian.org>, 643470@bugs.debian.org, 645760-quiet@bugs.debian.org
Subject: Re: Bug#643569: Bug#643470: [pkg-dhcp-devel] Bug#643470: Status of isc-dhcp-client
Date: Wed, 7 Mar 2012 21:28:48 +0100
El 7 de març de 2012 20:15, Andrew Pollock <apollock@debian.org> ha escrit:
> I just heard back that they're running behind schedule by about a month, so
> I'll proceed with making a release with a stripped tarball to address
> #645760

Please don't forget 643569.

-- 
Robert Millan




Information stored :
Bug#643569; Package src:isc-dhcp. (Wed, 07 Mar 2012 21:30:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Pollock <apollock@debian.org>:
Extra info received and filed, but not forwarded. (Wed, 07 Mar 2012 21:30:23 GMT) Full text and rfc822 format available.

Message #124 received at 643569-quiet@bugs.debian.org (full text, mbox):

From: Andrew Pollock <apollock@debian.org>
To: Robert Millan <rmh@debian.org>
Cc: 643569-quiet@bugs.debian.org, peter green <plugwash@p10link.net>, Julien Cristau <jcristau@debian.org>, 643470@bugs.debian.org, 645760-quiet@bugs.debian.org
Subject: Re: Bug#643569: Bug#643470: [pkg-dhcp-devel] Bug#643470: Status of isc-dhcp-client
Date: Wed, 7 Mar 2012 13:26:49 -0800
[Message part 1 (text/plain, inline)]
On Wed, Mar 07, 2012 at 09:28:48PM +0100, Robert Millan wrote:
> El 7 de març de 2012 20:15, Andrew Pollock <apollock@debian.org> ha escrit:
> > I just heard back that they're running behind schedule by about a month, so
> > I'll proceed with making a release with a stripped tarball to address
> > #645760
> 
> Please don't forget 643569.

ACK. I'll get this patch in as well.
[signature.asc (application/pgp-signature, inline)]

Reply sent to Andrew Pollock <apollock@debian.org>:
You have taken responsibility. (Wed, 14 Mar 2012 05:36:03 GMT) Full text and rfc822 format available.

Notification sent to Christoph Egger <christoph@debian.org>:
Bug acknowledged by developer. (Wed, 14 Mar 2012 05:36:04 GMT) Full text and rfc822 format available.

Message #129 received at 643569-close@bugs.debian.org (full text, mbox):

From: Andrew Pollock <apollock@debian.org>
To: 643569-close@bugs.debian.org
Subject: Bug#643569: fixed in isc-dhcp 4.2.2.dfsg.1-3
Date: Wed, 14 Mar 2012 05:33:42 +0000
Source: isc-dhcp
Source-Version: 4.2.2.dfsg.1-3

We believe that the bug you reported is fixed in the latest version of
isc-dhcp, which is due to be installed in the Debian FTP archive:

isc-dhcp-client-dbg_4.2.2.dfsg.1-3_amd64.deb
  to main/i/isc-dhcp/isc-dhcp-client-dbg_4.2.2.dfsg.1-3_amd64.deb
isc-dhcp-client-udeb_4.2.2.dfsg.1-3_amd64.udeb
  to main/i/isc-dhcp/isc-dhcp-client-udeb_4.2.2.dfsg.1-3_amd64.udeb
isc-dhcp-client_4.2.2.dfsg.1-3_amd64.deb
  to main/i/isc-dhcp/isc-dhcp-client_4.2.2.dfsg.1-3_amd64.deb
isc-dhcp-common_4.2.2.dfsg.1-3_amd64.deb
  to main/i/isc-dhcp/isc-dhcp-common_4.2.2.dfsg.1-3_amd64.deb
isc-dhcp-dev_4.2.2.dfsg.1-3_amd64.deb
  to main/i/isc-dhcp/isc-dhcp-dev_4.2.2.dfsg.1-3_amd64.deb
isc-dhcp-relay-dbg_4.2.2.dfsg.1-3_amd64.deb
  to main/i/isc-dhcp/isc-dhcp-relay-dbg_4.2.2.dfsg.1-3_amd64.deb
isc-dhcp-relay_4.2.2.dfsg.1-3_amd64.deb
  to main/i/isc-dhcp/isc-dhcp-relay_4.2.2.dfsg.1-3_amd64.deb
isc-dhcp-server-dbg_4.2.2.dfsg.1-3_amd64.deb
  to main/i/isc-dhcp/isc-dhcp-server-dbg_4.2.2.dfsg.1-3_amd64.deb
isc-dhcp-server-ldap_4.2.2.dfsg.1-3_amd64.deb
  to main/i/isc-dhcp/isc-dhcp-server-ldap_4.2.2.dfsg.1-3_amd64.deb
isc-dhcp-server_4.2.2.dfsg.1-3_amd64.deb
  to main/i/isc-dhcp/isc-dhcp-server_4.2.2.dfsg.1-3_amd64.deb
isc-dhcp_4.2.2.dfsg.1-3.debian.tar.gz
  to main/i/isc-dhcp/isc-dhcp_4.2.2.dfsg.1-3.debian.tar.gz
isc-dhcp_4.2.2.dfsg.1-3.dsc
  to main/i/isc-dhcp/isc-dhcp_4.2.2.dfsg.1-3.dsc
isc-dhcp_4.2.2.dfsg.1.orig.tar.gz
  to main/i/isc-dhcp/isc-dhcp_4.2.2.dfsg.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 643569@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andrew Pollock <apollock@debian.org> (supplier of updated isc-dhcp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 13 Mar 2012 22:04:53 -0700
Source: isc-dhcp
Binary: isc-dhcp-server isc-dhcp-server-dbg isc-dhcp-server-ldap isc-dhcp-common isc-dhcp-dev isc-dhcp-client isc-dhcp-client-dbg isc-dhcp-client-udeb isc-dhcp-relay isc-dhcp-relay-dbg
Architecture: source amd64
Version: 4.2.2.dfsg.1-3
Distribution: unstable
Urgency: low
Maintainer: Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>
Changed-By: Andrew Pollock <apollock@debian.org>
Description: 
 isc-dhcp-client - ISC DHCP client
 isc-dhcp-client-dbg - ISC DHCP client (debugging symbols)
 isc-dhcp-client-udeb - ISC DHCP Client for debian-installer (udeb)
 isc-dhcp-common - common files used by all the isc-dhcp* packages
 isc-dhcp-dev - API for accessing and modifying the DHCP server and client state
 isc-dhcp-relay - ISC DHCP relay daemon
 isc-dhcp-relay-dbg - DHCP relay daemon (debugging symbols)
 isc-dhcp-server - ISC DHCP server for automatic IP address assignment
 isc-dhcp-server-dbg - ISC DHCP server for automatic IP address assignment (debug)
 isc-dhcp-server-ldap - DHCP server able to use LDAP as backend
Closes: 643569 644413 645760 648140 651396 659372 663494
Changes: 
 isc-dhcp (4.2.2.dfsg.1-3) unstable; urgency=low
 .
   * debian/control: remove transitional packages
   * debian/rules: apply the intent of Pierre Chifflier's patch to enable
     hardening options (closes: #644413)
   * debian/control: also add inetutils-ping to the dependencies for
     isc-dhcp-client on hurd (closes: #648140)
   * Convert to 3.0 (quilt) source format:
     - debian/control: remove build-dep on dpatch
     - debian/rules: stop including dpatch.make
     - debian/rules: remove dpatch-related target dependencies
     - convert patches from dpatch to pure quilt
     - remove debian/README.source
   * debian/rules: cleaned up the target names a bit to reflect the lack of
     patching going on now
   * repack bind.tar.gz in upstream source tarball to patch configure.in for
     FTBFS on kFreeBSD and remove RFCs (closes: #643569, #645760)
   * debian/watch: add dversionmangle to deal with dfsg upstream tarball
   * Updated Dutch debconf template translation (closes: #651396)
   * Added Polish debconf template translation (closes: #659372)
   * Updated Brazilian Portugeuse debconf template translation (closes: #663494)
   * debian/control: bumped Standards-Version (no changes)
Checksums-Sha1: 
 67d0745fd350520c8a5510d51545336ef113a334 2553 isc-dhcp_4.2.2.dfsg.1-3.dsc
 19287571ebb08d3567be005537f1a6870fdce10d 7347700 isc-dhcp_4.2.2.dfsg.1.orig.tar.gz
 a5bb2436bfc628d7a37b0d0b4706bb91d778d9d2 88538 isc-dhcp_4.2.2.dfsg.1-3.debian.tar.gz
 4242c44dfa23658ae4949b4d6226a9b0f0320c89 936264 isc-dhcp-server_4.2.2.dfsg.1-3_amd64.deb
 0609d939cef1ab4921ed62938bf9b477b29bcb40 1879712 isc-dhcp-server-dbg_4.2.2.dfsg.1-3_amd64.deb
 562533456b581a6db905bb7a4b1838a04afaf1f1 892792 isc-dhcp-server-ldap_4.2.2.dfsg.1-3_amd64.deb
 11cb264b36cf262dc61e7a228d8fb56b14cd0e2d 854472 isc-dhcp-common_4.2.2.dfsg.1-3_amd64.deb
 971820cbd7d978eb18f89cc321f7e6c285affc1f 721572 isc-dhcp-dev_4.2.2.dfsg.1-3_amd64.deb
 cd8c7987a120c5eea2231c5c79d50580feffd97a 794076 isc-dhcp-client_4.2.2.dfsg.1-3_amd64.deb
 dee43d70c6ceb3558a7f4a860125be58808f43e7 1656308 isc-dhcp-client-dbg_4.2.2.dfsg.1-3_amd64.deb
 8ef45bbc2a028b47ffc3fb865576907ca9979fa0 739168 isc-dhcp-client-udeb_4.2.2.dfsg.1-3_amd64.udeb
 50224b46e9f1235cdd31b164167bab619d27bbc1 734978 isc-dhcp-relay_4.2.2.dfsg.1-3_amd64.deb
 ed441184a8c4990362d4eb72e5d70baa6dfaf223 1600552 isc-dhcp-relay-dbg_4.2.2.dfsg.1-3_amd64.deb
Checksums-Sha256: 
 7c825fa6b3bf07764dc544e0197d72e76475b002e861e171d6029b38c878534e 2553 isc-dhcp_4.2.2.dfsg.1-3.dsc
 23b2e175c59f2b59c55f1998c8f9eb6bd05c4da7295f926653f6f2f769f53f06 7347700 isc-dhcp_4.2.2.dfsg.1.orig.tar.gz
 5ca05901d996f230b19785abd0790a846db32d1e7a4cb3c72bf08365e3a8a6b8 88538 isc-dhcp_4.2.2.dfsg.1-3.debian.tar.gz
 ce521ac8e178de262a60c76cda57dc13d1950cfabb39b109090b51f399a3ede4 936264 isc-dhcp-server_4.2.2.dfsg.1-3_amd64.deb
 e78cad870be0509242405d3298fa5a1ab6ea13477660a340839b03e9c4f610af 1879712 isc-dhcp-server-dbg_4.2.2.dfsg.1-3_amd64.deb
 6400018103ba79565ee414426c0d0580cacb860d395f4c1f92f534a69115ba25 892792 isc-dhcp-server-ldap_4.2.2.dfsg.1-3_amd64.deb
 6284cd4caee6898e590f2d20b7a452175eb43679a31cc97d995cbf4a9bdc2eb0 854472 isc-dhcp-common_4.2.2.dfsg.1-3_amd64.deb
 e5d46557045438c9b336d208c7d192d6519ce74389ff9fbb135e13b6f23ecf5b 721572 isc-dhcp-dev_4.2.2.dfsg.1-3_amd64.deb
 9ce07299babd880a8c008c6618136c83da391b4866cf63e60796134432ff540f 794076 isc-dhcp-client_4.2.2.dfsg.1-3_amd64.deb
 5e5176198bf659c0f1cade816936ab7c0ae6f9924047e88ee7dcd5f140fb9818 1656308 isc-dhcp-client-dbg_4.2.2.dfsg.1-3_amd64.deb
 0315a5f283e7f4f981e4587a4b65d7d1157da3cc52f8535db14be3db3371e679 739168 isc-dhcp-client-udeb_4.2.2.dfsg.1-3_amd64.udeb
 a0798f7b2ac4dd0ba476eba0e0a03aab3041864c92d314da7bc224766a166d0e 734978 isc-dhcp-relay_4.2.2.dfsg.1-3_amd64.deb
 30a3023798a21d520e7bcacba3a5fd224c44440160574eda8d56eb74d5a06a59 1600552 isc-dhcp-relay-dbg_4.2.2.dfsg.1-3_amd64.deb
Files: 
 8195bcbffc7e9ebcb6df26118500b340 2553 net important isc-dhcp_4.2.2.dfsg.1-3.dsc
 a0373968ccf5f974dcc0727e4110dbc3 7347700 net important isc-dhcp_4.2.2.dfsg.1.orig.tar.gz
 bfd7b4e3157074ab0c6dff14bceaf970 88538 net important isc-dhcp_4.2.2.dfsg.1-3.debian.tar.gz
 7a04457a9e87930532bb0f5211d96a86 936264 net optional isc-dhcp-server_4.2.2.dfsg.1-3_amd64.deb
 32a2c88370b6eb04edd984669f9a60de 1879712 debug extra isc-dhcp-server-dbg_4.2.2.dfsg.1-3_amd64.deb
 4753475f802aaa32450ee4018633002d 892792 net optional isc-dhcp-server-ldap_4.2.2.dfsg.1-3_amd64.deb
 675fcac2272600e69d7467647c98d87d 854472 net important isc-dhcp-common_4.2.2.dfsg.1-3_amd64.deb
 18678e9af3a6a38f3bfe44f371593dc3 721572 devel optional isc-dhcp-dev_4.2.2.dfsg.1-3_amd64.deb
 e2073c2b6739278a258e911ed032771b 794076 net important isc-dhcp-client_4.2.2.dfsg.1-3_amd64.deb
 a47641262bfcb88a0e2dc41108c73f0e 1656308 debug extra isc-dhcp-client-dbg_4.2.2.dfsg.1-3_amd64.deb
 0d15b69740e4ce748252d3d4d9ffec28 739168 debian-installer extra isc-dhcp-client-udeb_4.2.2.dfsg.1-3_amd64.udeb
 b1359e3b9a78b3243055908d91d05aeb 734978 net optional isc-dhcp-relay_4.2.2.dfsg.1-3_amd64.deb
 c0c651281d32a3e1e94a7150e70ea261 1600552 debug extra isc-dhcp-relay-dbg_4.2.2.dfsg.1-3_amd64.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBAgAGBQJPYCrQAAoJEFHf2Ts++3nvSLMP/jRV49hjIdrwqxxxP1sciceE
KpxhYibMvKlseuUGnYssvjfhocucxkdeGFAoMUd5/vzNzd/34xEJtax61QPz6j+b
Tiel9NQ2ly2argKkFiM3GwSerpx7P0dK1LgVKD2UbgdCCHzIKFSHGr4A7HOeFHOQ
WK00lo0mtw79sgHtbC0/psVAfvSzJQwT9ejSPEqeh4EAHXodbpPctvsdF8BdlUu/
MxSbzVlj4qVYwJlVElZc4MeY1mhY1j/yAN8YHGPqDqCnA4fI1G10PTHoPJLejyhj
D3zCKmCdl/NteApp91I9D7s962VIC7x/ASiqaz3EcFLBWhxHL9TurkNH28g4E/2t
UuktEzKghwqpISoTrMp7Y5UXKlA1hwzoENrMhOisb/4J/k/lcT+o9rGg7J80kadQ
v/GZqXUqTlYVXo/HnpZ4boQ5IVVf96OJDNcpIs2Ujo1/4z5NKqWEzMbaKX+4PSF/
9oucelYFfHyxB6yvog6XvepYEz7Xmu1HBF3cgHNHYEeOsMnPJXHaalqomNv+O7em
Xnv4X1C1Bvzpw40jcitVKDgTnPoAphjJu+zV6ORo28me4sDi+viQWhQNYgP+IEwh
6UO5j4FNI9Gx3aFG+K8DSIDb2TpiiogMA4eX3UxxYMmaews3qXblB0MF0Ula1pPA
0qK/CrcE9l4KqOpkn+lZ
=xNXC
-----END PGP SIGNATURE-----





Reply sent to Andrew Pollock <apollock@debian.org>:
You have taken responsibility. (Wed, 14 Mar 2012 15:30:04 GMT) Full text and rfc822 format available.

Notification sent to Christoph Egger <christoph@debian.org>:
Bug acknowledged by developer. (Wed, 14 Mar 2012 15:30:05 GMT) Full text and rfc822 format available.

Message #134 received at 643569-close@bugs.debian.org (full text, mbox):

From: Andrew Pollock <apollock@debian.org>
To: 643569-close@bugs.debian.org
Subject: Bug#643569: fixed in isc-dhcp 4.2.2.dfsg.1-4
Date: Wed, 14 Mar 2012 15:27:18 +0000
Source: isc-dhcp
Source-Version: 4.2.2.dfsg.1-4

We believe that the bug you reported is fixed in the latest version of
isc-dhcp, which is due to be installed in the Debian FTP archive:

isc-dhcp-client-dbg_4.2.2.dfsg.1-4_amd64.deb
  to main/i/isc-dhcp/isc-dhcp-client-dbg_4.2.2.dfsg.1-4_amd64.deb
isc-dhcp-client-udeb_4.2.2.dfsg.1-4_amd64.udeb
  to main/i/isc-dhcp/isc-dhcp-client-udeb_4.2.2.dfsg.1-4_amd64.udeb
isc-dhcp-client_4.2.2.dfsg.1-4_amd64.deb
  to main/i/isc-dhcp/isc-dhcp-client_4.2.2.dfsg.1-4_amd64.deb
isc-dhcp-common_4.2.2.dfsg.1-4_amd64.deb
  to main/i/isc-dhcp/isc-dhcp-common_4.2.2.dfsg.1-4_amd64.deb
isc-dhcp-dev_4.2.2.dfsg.1-4_amd64.deb
  to main/i/isc-dhcp/isc-dhcp-dev_4.2.2.dfsg.1-4_amd64.deb
isc-dhcp-relay-dbg_4.2.2.dfsg.1-4_amd64.deb
  to main/i/isc-dhcp/isc-dhcp-relay-dbg_4.2.2.dfsg.1-4_amd64.deb
isc-dhcp-relay_4.2.2.dfsg.1-4_amd64.deb
  to main/i/isc-dhcp/isc-dhcp-relay_4.2.2.dfsg.1-4_amd64.deb
isc-dhcp-server-dbg_4.2.2.dfsg.1-4_amd64.deb
  to main/i/isc-dhcp/isc-dhcp-server-dbg_4.2.2.dfsg.1-4_amd64.deb
isc-dhcp-server-ldap_4.2.2.dfsg.1-4_amd64.deb
  to main/i/isc-dhcp/isc-dhcp-server-ldap_4.2.2.dfsg.1-4_amd64.deb
isc-dhcp-server_4.2.2.dfsg.1-4_amd64.deb
  to main/i/isc-dhcp/isc-dhcp-server_4.2.2.dfsg.1-4_amd64.deb
isc-dhcp_4.2.2.dfsg.1-4.debian.tar.gz
  to main/i/isc-dhcp/isc-dhcp_4.2.2.dfsg.1-4.debian.tar.gz
isc-dhcp_4.2.2.dfsg.1-4.dsc
  to main/i/isc-dhcp/isc-dhcp_4.2.2.dfsg.1-4.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 643569@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andrew Pollock <apollock@debian.org> (supplier of updated isc-dhcp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 14 Mar 2012 06:25:28 -0700
Source: isc-dhcp
Binary: isc-dhcp-server isc-dhcp-server-dbg isc-dhcp-server-ldap isc-dhcp-common isc-dhcp-dev isc-dhcp-client isc-dhcp-client-dbg isc-dhcp-client-udeb isc-dhcp-relay isc-dhcp-relay-dbg
Architecture: source amd64
Version: 4.2.2.dfsg.1-4
Distribution: unstable
Urgency: low
Maintainer: Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>
Changed-By: Andrew Pollock <apollock@debian.org>
Description: 
 isc-dhcp-client - ISC DHCP client
 isc-dhcp-client-dbg - ISC DHCP client (debugging symbols)
 isc-dhcp-client-udeb - ISC DHCP Client for debian-installer (udeb)
 isc-dhcp-common - common files used by all the isc-dhcp* packages
 isc-dhcp-dev - API for accessing and modifying the DHCP server and client state
 isc-dhcp-relay - ISC DHCP relay daemon
 isc-dhcp-relay-dbg - DHCP relay daemon (debugging symbols)
 isc-dhcp-server - ISC DHCP server for automatic IP address assignment
 isc-dhcp-server-dbg - ISC DHCP server for automatic IP address assignment (debug)
 isc-dhcp-server-ldap - DHCP server able to use LDAP as backend
Closes: 643569
Changes: 
 isc-dhcp (4.2.2.dfsg.1-4) unstable; urgency=low
 .
   * The "Zoe woke up at 4am and I couldn't get back to sleep so I had some
     extra time to work on this" release
   * patch the Makefile for the embedded BIND libraries so that autoconf is run
     so that the modification to configure.in to fix the FTBFS on kFreeBSD
     actually does something useful (closes: #643569)
Checksums-Sha1: 
 01ed6a970d526e97ba537022f2333868654ae2f5 2553 isc-dhcp_4.2.2.dfsg.1-4.dsc
 19287571ebb08d3567be005537f1a6870fdce10d 7347700 isc-dhcp_4.2.2.dfsg.1.orig.tar.gz
 8eb14f8d242b8b5fcf82d5b7127085249c091358 88894 isc-dhcp_4.2.2.dfsg.1-4.debian.tar.gz
 6a5630e3c04ccbebd6794c35834774baaacc081f 936402 isc-dhcp-server_4.2.2.dfsg.1-4_amd64.deb
 f55247298bbb5f0f45920d30243fafe7b1ce8917 1879848 isc-dhcp-server-dbg_4.2.2.dfsg.1-4_amd64.deb
 26284eab15ed937d8537c834824d4a88dd602ef4 892928 isc-dhcp-server-ldap_4.2.2.dfsg.1-4_amd64.deb
 5078d97c0db00500e6eb7e8d03f1577b688eb997 854618 isc-dhcp-common_4.2.2.dfsg.1-4_amd64.deb
 768b16d16d0352de7301a618852e58e4c7a9f667 721692 isc-dhcp-dev_4.2.2.dfsg.1-4_amd64.deb
 0c25cf36c56e2a727424aef8955c4bbeef4d69a0 794218 isc-dhcp-client_4.2.2.dfsg.1-4_amd64.deb
 4075667da945dd870a99c73fb3448be44cc96bbf 1656452 isc-dhcp-client-dbg_4.2.2.dfsg.1-4_amd64.deb
 05857515573c094c2cc94fed8cb44a55d9249472 739160 isc-dhcp-client-udeb_4.2.2.dfsg.1-4_amd64.udeb
 85dd8be727b22a4839ea164bf581a6327b6a1e0a 735104 isc-dhcp-relay_4.2.2.dfsg.1-4_amd64.deb
 74fe09672a27ccfa6668c20884cc9adccdaadbc1 1600738 isc-dhcp-relay-dbg_4.2.2.dfsg.1-4_amd64.deb
Checksums-Sha256: 
 5d3a46510be3c543b9eb3b97297e71add895f851abc1367d72c39c58800d9516 2553 isc-dhcp_4.2.2.dfsg.1-4.dsc
 23b2e175c59f2b59c55f1998c8f9eb6bd05c4da7295f926653f6f2f769f53f06 7347700 isc-dhcp_4.2.2.dfsg.1.orig.tar.gz
 51c8f2675884536ea23be1bdf52fa2ca5245d6667251b316975faa5e43d79e65 88894 isc-dhcp_4.2.2.dfsg.1-4.debian.tar.gz
 7d78dd541002792a1db204af27105686b3eb618196d46d281a1b1fb3835a8ee0 936402 isc-dhcp-server_4.2.2.dfsg.1-4_amd64.deb
 a224febf3757fd8a11fd1137e2b543bd8971cb4a97a7958e474ecbd1f56ae8f3 1879848 isc-dhcp-server-dbg_4.2.2.dfsg.1-4_amd64.deb
 e79a6e3ff1e42bcadacb823d8d5d32a27d4b3a76f17db05e40ae3aff7902f27c 892928 isc-dhcp-server-ldap_4.2.2.dfsg.1-4_amd64.deb
 3778483c9e2bc5888db4182de411fbca07306280069b9004e93e7007891fe1e2 854618 isc-dhcp-common_4.2.2.dfsg.1-4_amd64.deb
 d756525e2e5b31b9003317840d1160e880e378e9901d725d90e7032d3a4ce120 721692 isc-dhcp-dev_4.2.2.dfsg.1-4_amd64.deb
 a9d7266af0b2b36b3cf9977df4b873eea765eb92d7c8ec73c674c08e6488bfaa 794218 isc-dhcp-client_4.2.2.dfsg.1-4_amd64.deb
 afc902630d37625dfe0008f9cfbeb6bcbf98e50f1c04a4ef59b2328afd8bda3a 1656452 isc-dhcp-client-dbg_4.2.2.dfsg.1-4_amd64.deb
 69a07df271dd841e0b76d5d8c747dd5e7abedd8aaa7a77ebd575b9dd54989794 739160 isc-dhcp-client-udeb_4.2.2.dfsg.1-4_amd64.udeb
 43c14e340443811978ff129bb897aa36824695c19a5395363238d88caf1011fc 735104 isc-dhcp-relay_4.2.2.dfsg.1-4_amd64.deb
 29c8b08135f482a469a0cd537090c6185269e17d557e193c0b2c99954f2def5f 1600738 isc-dhcp-relay-dbg_4.2.2.dfsg.1-4_amd64.deb
Files: 
 d470f0d6b647106a7efe732f5c025d4c 2553 net important isc-dhcp_4.2.2.dfsg.1-4.dsc
 a0373968ccf5f974dcc0727e4110dbc3 7347700 net important isc-dhcp_4.2.2.dfsg.1.orig.tar.gz
 f602af21413c50c6dda82c0f055bdb48 88894 net important isc-dhcp_4.2.2.dfsg.1-4.debian.tar.gz
 c259f30abf786103035f32a40a3d1bb4 936402 net optional isc-dhcp-server_4.2.2.dfsg.1-4_amd64.deb
 b06bce1993b6b8201b73434c82ce9df2 1879848 debug extra isc-dhcp-server-dbg_4.2.2.dfsg.1-4_amd64.deb
 b741b96009d0c4db11a578579bfa11f3 892928 net optional isc-dhcp-server-ldap_4.2.2.dfsg.1-4_amd64.deb
 40936e04156379e329f510d6e0ac802b 854618 net important isc-dhcp-common_4.2.2.dfsg.1-4_amd64.deb
 04090476d5de5a0ff8c93aa23d58229e 721692 devel optional isc-dhcp-dev_4.2.2.dfsg.1-4_amd64.deb
 3b819283387841fa60b8e8ee414ccbcf 794218 net important isc-dhcp-client_4.2.2.dfsg.1-4_amd64.deb
 829590264fa106a7f2c61b5e17e5a7be 1656452 debug extra isc-dhcp-client-dbg_4.2.2.dfsg.1-4_amd64.deb
 197698d0146346a08643bf0abe2235b6 739160 debian-installer extra isc-dhcp-client-udeb_4.2.2.dfsg.1-4_amd64.udeb
 3f022939ec4c9a2d57dc15125cbeeb92 735104 net optional isc-dhcp-relay_4.2.2.dfsg.1-4_amd64.deb
 1f0647ac6c67a7a4f4efb8610677910d 1600738 debug extra isc-dhcp-relay-dbg_4.2.2.dfsg.1-4_amd64.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBAgAGBQJPYKZHAAoJEFHf2Ts++3nv3zoP/0rRSCMq5amU5MKLxTRzTzeL
xD4axUIr3C6YclXL/Livn6Q2TZ5b0qKDCU92/ZLB5Pg9antR0T3hUrJM7M/CfPRE
OvDJiUI7dhgvTHtMY+d9lxuimU/KGiUuHaUhgo+qQ0EQSmBlbYAb7x8YshMtrsuM
c0yKirQIh07W3p87I6UnhbqtfTLHkmOGmuHNgaFZ1dNzFjW+fxDpILodGROQ5hk5
Cn0ZWodg3Q2BVrFrhwCVK0Ix1AngNg7n/vmjI8NHgdmjfQ7pzhRXIl3jKe9QdTYa
zEw1jhZeznzGG2dYTc+FKiI1pkO5E1a8+DYEg3bU9qiauaW7ucSAjUDfxEK3pN4W
XYis1iBwsuT0J550mxgyTVPcX1kEyenUAyqMWYVsKEctUY/PpvFbRJC2ikqobFDL
ExYBBfMbTNoAdRa9rZXRdjSvRp/FyIsRnO/g7E84WlQPFgbaqVqi9KdCT2aV7/R5
4rlgrm/r4HzEU6lZ1RY881ADAZKprouq5DsAZQCGjqI4AI2QmG9gNvKlFeYfEQxG
VsP6BLyxrjYXoOBexQc+3SFRxfLC7m/b+Wz3qULiJ2uwxaGmak3YqCxlSd6+NEdK
n7EhlNcFzz0xnlXtXqSwrqE3YjzgCGnp0scHJVRNz+uWH9S4Q53fT4AV9hnkEcbV
9PL74b/tIfkPV4BH7BRv
=MeUC
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 12 Apr 2012 07:40:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:58:22 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.